Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rabbit.filter
Class BlockFilter

    java.lang.Object
      rabbit.filter.BlockFilter

All Implemented Interfaces:
  HTTPFilter

    public class BlockFilter

extends java.lang.Object
implements HTTPFilter

This is a class that blocks access to certain part of the www.

Constructor Summary
`BlockFilter()`

Method Summary
`HTTPHeader` | `doHTTPInFiltering(java.net.Socket socket, HTTPHeader header, Connection con)` test if a socket/header combination is valid or return a new HTTPHeader.
`HTTPHeader` | `doHTTPOutFiltering(java.net.Socket socket, HTTPHeader header, Connection con)` test if a socket/header combination is valid or return a new HTTPHeader.
`void` | `setup(Logger logger, SProperties properties)` Setup this class with the given properties.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlockFilter

    public BlockFilter()

Method Detail

### doHTTPInFiltering

    public HTTPHeader doHTTPInFiltering(java.net.Socket socket,
                                        HTTPHeader header,
                                        Connection con)

  test if a socket/header combination is valid or return a new HTTPHeader.

  Specified by:
    `doHTTPInFiltering` in interface `HTTPFilter`
  Parameters:
    `socket` - the Socket that made the request.
    `header` - the actual request made.
    `con` - the Connection handling the request.
  Returns:
    null if everything is fine or a HTTPHeader describing the error (like a 403).

### doHTTPOutFiltering

    public HTTPHeader doHTTPOutFiltering(java.net.Socket socket,
                                         HTTPHeader header,
                                         Connection con)

  test if a socket/header combination is valid or return a new HTTPHeader.

  Specified by:
    `doHTTPOutFiltering` in interface `HTTPFilter`
  Parameters:
    `socket` - the Socket that made the request.
    `header` - the actual request made.
    `con` - the Connection handling the request.
  Returns:
    null if everything is fine or a HTTPHeader describing the error (like a 403).

### setup

    public void setup(Logger logger,
                      SProperties properties)

  Setup this class with the given properties.

  Specified by:
    `setup` in interface `HTTPFilter`
  Parameters:
    `logger` - the Logger for errors/warnings
    `properties` - the new configuration of this class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD